"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeFadeInRight;

/**
 * @public
 * @name makeFadeInRight
 * @description make fade right object
 * @param distance
 * @returns {{from: {opacity: number, transform: string}, to: {opacity: number, transform: string}}}
 */
function makeFadeInRight(_ref) {
  var distance = _ref.distance;
  return {
    from: {
      opacity: 0,
      transform: "translate3d(".concat(distance, ", 0, 0)")
    },
    to: {
      opacity: 1,
      transform: 'none'
    }
  };
}

module.exports = exports["default"];