"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeFadeInUp;

/**
 * @public
 * @name makeFadeInUp
 * @description make fade up object
 * @param distance
 * @returns {{from: {opacity: number, transform: string}, to: {opacity: number, transform: string}}}
 */
function makeFadeInUp(_ref) {
  var distance = _ref.distance;
  return {
    from: {
      opacity: 0,
      transform: "translate3d(0, ".concat(distance, ", 0)")
    },
    to: {
      opacity: 1,
      transform: 'none'
    }
  };
}

module.exports = exports["default"];