"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeBrightness;

/**
 * @public
 * @name makeBrightness
 * @descrption make brightness object
 * @param amplification
 * @returns {{0%: {filter: string}, 100%: {filter: string}}}
 */
function makeBrightness(_ref) {
  var amplification = _ref.amplification;
  return {
    '0%': {
      filter: 'brightness(0%)'
    },
    '100%': {
      filter: "brightness(".concat(amplification * 100, "%)")
    }
  };
}

module.exports = exports["default"];