"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeDropShadow;

/**
 * @public
 * @name makeDropShadow
 * @descrption make drop shadow object
 * @param amplification
 * @returns {{0%: {filter: string}, 100%: {filter: string}}}
 */
function makeDropShadow(_ref) {
  var amplification = _ref.amplification;
  return {
    '0%': {
      filter: 'drop-shadow(0px 0px 0px #000)'
    },
    '100%': {
      filter: "drop-shadow(".concat(amplification * 5, "px ").concat(amplification * 5, "px ").concat(amplification * 5, "px #000)")
    }
  };
}

module.exports = exports["default"];