"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeGrayScale;

/**
 * @public
 * @name makeGrayScale
 * @descrption make grayscale object
 * @param amplification
 * @returns {{0%: {filter: string}, 100%: {filter: string}}}
 */
function makeGrayScale(_ref) {
  var amplification = _ref.amplification;
  return {
    '0%': {
      filter: 'grayscale(0%)'
    },
    '100%': {
      filter: "grayscale(".concat(amplification * 100, "%)")
    }
  };
}

module.exports = exports["default"];