"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeOpacity;

/**
 * @public
 * @name makeOpacity
 * @descrption make opacity object
 * @param amplification
 * @returns {{0%: {filter: string}, 100%: {filter: string}}}
 */
function makeOpacity(_ref) {
  var amplification = _ref.amplification;
  return {
    '0%': {
      filter: 'opacity(0%)'
    },
    '100%': {
      filter: "opacity(".concat(amplification * 100, "%)")
    }
  };
}

module.exports = exports["default"];