"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeSaturate;

/**
 * @public
 * @name makeSaturate
 * @descrption make saturate object
 * @param amplification
 * @returns {{0%: {filter: string}, 100%: {filter: string}}}
 */
function makeSaturate(_ref) {
  var amplification = _ref.amplification;
  return {
    '0%': {
      filter: 'saturate(0%)'
    },
    '100%': {
      filter: "saturate(".concat(amplification * 8, "%)")
    }
  };
}

module.exports = exports["default"];