"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeSepia;

/**
 * @public
 * @name makeSepia
 * @descrption make sepia object
 * @param amplification
 * @returns {{0%: {filter: string}, 100%: {filter: string}}}
 */
function makeSepia(_ref) {
  var amplification = _ref.amplification;
  return {
    '0%': {
      filter: 'sepia(0%)'
    },
    '100%': {
      filter: "sepia(".concat(amplification * 100, "%)")
    }
  };
}

module.exports = exports["default"];