"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _typeEnums = require("../../typeEnums");

/**
 * @public
 * @name makeFlipY
 * @description make flipY object
 * @param perspective
 * @returns {{from: {transform: string, animation-timing-function: string}, 40%: {transform: string, animation-timing-function: string}, 50%: {transform: string, animation-timing-function: string}, 80%: {transform: string, animation-timing-function: string}, to: {transform: string, animation-timing-function: string}}}
 */
function makeFlipY(_ref) {
  var perspective = _ref.perspective;
  return {
    from: {
      transform: "perspective(".concat(perspective, ") rotate3d(0, 1, 0, 90deg)"),
      'animation-timing-function': 'ease-in',
      opacity: 0
    },
    '40%': {
      transform: "perspective(".concat(perspective, ") rotate3d(0, 1, 0, -20deg)"),
      'animation-timing-function': 'ease-in'
    },
    '60%': {
      transform: "perspective(".concat(perspective, ") rotate3d(0, 1, 0, 10deg)"),
      opacity: 1
    },
    '80%': {
      transform: "perspective(".concat(perspective, ") rotate3d(0, 1, 0, -5deg)")
    },
    to: {
      transform: "perspective(".concat(perspective, ")")
    }
  };
}

makeFlipY.type = _typeEnums.TYPE_ROTATE;
var _default = makeFlipY;
exports.default = _default;
module.exports = exports["default"];