"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeLightOut;

/**
 * @public
 * @name makeLightOut
 * @description make light out object
 * @param distance
 * @param rotation
 * @returns {{from: {transform: string, opacity: number}, 40%: {transform: string, opacity: number}, 80%: {transform: string, opacity: number}, to: {transform: string, opacity: number}}}
 */
function makeLightOut(_ref) {
  var distance = _ref.distance,
      rotation = _ref.rotation;
  return {
    from: {
      opacity: 1
    },
    '40%': {
      transform: 'skew(20deg)',
      opacity: 1
    },
    '80%': {
      transform: 'skew(-5deg)',
      opacity: 1
    },
    to: {
      transform: "translate3d(-".concat(distance, ", 0, 0) skew(").concat(rotation, ")"),
      opacity: 0
    }
  };
}

module.exports = exports["default"];