"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _styledComponents = require("styled-components");

var _LightIn = _interopRequireDefault(require("../LightIn"));

var _theme = _interopRequireDefault(require("../../theme"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var renderComponent = function renderComponent() {
  var EffectComponent = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _LightIn.default;
  var props = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  return (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
    theme: _theme.default
  }, _react.default.createElement(EffectComponent, props)));
};

describe('LightIn', function () {
  var children;
  beforeAll(function () {
    children = _react.default.createElement("h1", null, "Test");
  });
  it('should render LightIn', function () {
    var renderedComponent = renderComponent(_LightIn.default, {
      children: children
    });
    expect(renderedComponent.length).toBe(1);
  });
});