"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _typeEnums = require("../../typeEnums");

/**
 * @public
 * @name makeRotateLeft
 * @description make rotate left object
 * @param rotation
 * @returns {{from: {transform-origin: string, transform: string, opacity: number}, to: {transform: string, opacity: number}}}
 */
function makeRotateLeft(_ref) {
  var rotation = _ref.rotation;
  return {
    from: {
      'transform-origin': 'left bottom',
      transform: "rotate3d(0, 0, 1, -".concat(rotation, ")"),
      opacity: 0
    },
    to: {
      'transform-origin': 'left bottom',
      transform: 'none',
      opacity: 1
    }
  };
}

makeRotateLeft.type = _typeEnums.TYPE_ROTATE;
var _default = makeRotateLeft;
exports.default = _default;
module.exports = exports["default"];