"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _typeEnums = require("../../typeEnums");

/**
 * @public
 * @name makeRotateUpLeft
 * @description make rotate up left object
 * @param rotation
 * @returns {{from: {transform-origin: string, transform: string, opacity: number}, to: {transform: string, opacity: number}}}
 */
function makeRotateUpLeft(_ref) {
  var rotation = _ref.rotation;
  return {
    from: {
      'transform-origin': 'left bottom',
      transform: "rotate3d(0, 0, 1, ".concat(rotation, ")"),
      opacity: 0
    },
    to: {
      'transform-origin': 'left bottom',
      transform: 'none',
      opacity: 1
    }
  };
}

makeRotateUpLeft.type = _typeEnums.TYPE_ROTATE;
var _default = makeRotateUpLeft;
exports.default = _default;
module.exports = exports["default"];