"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _styledComponents = require("styled-components");

var _theme = _interopRequireDefault(require("../../theme"));

var _index = require("../index");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Testing our Slides components
 */
var renderComponent = function renderComponent() {
  var EffectComponent = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _index.SlideUp;
  var props = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  return (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
    theme: _theme.default
  }, _react.default.createElement(EffectComponent, props)));
};

describe('slides', function () {
  var children;
  beforeAll(function () {
    children = _react.default.createElement("h1", null, "Test");
  });
  it('should render a <SlideUp> tag', function () {
    var renderedComponent = renderComponent(_index.SlideUp, {
      children: children
    });
    expect(renderedComponent.length).toBe(1);
  });
  it('should render a <SlideDown> tag', function () {
    var renderedComponent = renderComponent(_index.SlideDown, {
      children: children
    });
    expect(renderedComponent.length).toBe(1);
  });
  it('should render a <SlideLeft> tag', function () {
    var renderedComponent = renderComponent(_index.SlideLeft, {
      children: children
    });
    expect(renderedComponent.length).toBe(1);
  });
  it('should render a <SlideRight> tag', function () {
    var renderedComponent = renderComponent(_index.SlideRight, {
      children: children
    });
    expect(renderedComponent.length).toBe(1);
  });
  it('should render a <SlideRightLeft> tag', function () {
    var renderedComponent = renderComponent(_index.SlideRightLeft, {
      children: children
    });
    expect(renderedComponent.length).toBe(1);
  });
});