"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeExpandUp;

/**
 * @public
 * @name makeExpandUp
 * @description make expand up object
 * @param amplification
 * @returns {{0%: {transform: string}, 60%: {transform: string}, 75%: {transform: string}, 100%: {transform: string}}}
 */
function makeExpandUp(_ref) {
  var amplification = _ref.amplification;
  return {
    '0%': {
      transform: "translateY(100%) scale(".concat(amplification * 0.6, ") scaleY(").concat(amplification * 0.5, ")")
    },
    '60%': {
      transform: "translateY(-".concat(amplification * 7, "%) scaleY(").concat(amplification * 1.12, ")")
    },
    '75%': {
      transform: "translateY(".concat(amplification * 3, "%)")
    },
    '100%': {
      transform: "translateY(0%) scale(".concat(amplification * 1, ") scaleY(").concat(amplification * 1, ")")
    }
  };
}

module.exports = exports["default"];