"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeHatch;

/**
 * @public
 * @name makeHatch
 * @description make hatch object
 * @param amplification
 * @returns {{0%: {transform: string}, 20%: {transform: string}, 35%: {transform: string}, 50%: {transform: string}, 65%: {transform: string}, 80%: {transform: string}, 100%: {transform: string}}}
 */
function makeHatch(_ref) {
  var amplification = _ref.amplification;
  return {
    '0%': {
      transform: 'scaleY(0.6)'
    },
    '20%': {
      transform: "rotate(-".concat(amplification * 2, "deg) scaleY(").concat(amplification * 1.05, ")")
    },
    '35%': {
      transform: "rotate(".concat(amplification * 2, "deg) scaleY(").concat(amplification, ")")
    },
    '50%': {
      transform: "rotate(-".concat(amplification, "deg)")
    },
    '65%': {
      transform: "rotate(".concat(amplification, "deg)")
    },
    '80%': {
      transform: "rotate(-".concat(amplification, "deg)")
    },
    '100%': {
      transform: 'none'
    }
  };
}

module.exports = exports["default"];