"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makePulse;

/**
 * @public
 * @name makePulse
 * @description make pulse object
 * @param amplification
 * @returns {{from: {transform: string}, 50%: {transform: string}, to: {transform: string}}}
 */
function makePulse(_ref) {
  var amplification = _ref.amplification;
  return {
    from: {
      transform: 'scale3d(1, 1, 1)'
    },
    '50%': {
      transform: "scale3d(".concat(amplification * 1.4, ", ").concat(amplification * 1.4, ", ").concat(amplification * 1.4, ")")
    },
    to: {
      transform: 'scale3d(1, 1, 1)'
    }
  };
}

module.exports = exports["default"];