"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _typeEnums = require("../../typeEnums");

/**
 * @public
 * @name makeRollIn
 * @description roll in object
 * @param distance
 * @param amplification
 * @returns {{from: {transform: string, opacity: number}, to: {transform: string, opacity: number}}}
 */
function makeRollIn(_ref) {
  var distance = _ref.distance,
      amplification = _ref.amplification;
  return {
    from: {
      transform: "translate3d(-".concat(distance, ", 0, 0) rotate3d(0, 0, 1, -").concat(amplification * 120, "deg)"),
      opacity: 0
    },
    to: {
      transform: 'none',
      opacity: 1
    }
  };
}

makeRollIn.type = _typeEnums.TYPE_ROTATE;
var _default = makeRollIn;
exports.default = _default;
module.exports = exports["default"];