"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _typeEnums = require("../../typeEnums");

/**
 * @public
 * @name makeRollOut
 * @description roll out object
 * @param distance
 * @param amplification
 * @returns {{from: {opacity: number}, to: {transform: string, opacity: number}}}
 */
function makeRollOut(_ref) {
  var distance = _ref.distance,
      amplification = _ref.amplification;
  return {
    from: {
      opacity: 1
    },
    to: {
      transform: "translate3d(".concat(distance, ", 0, 0) rotate3d(0, 0, 1, ").concat(amplification * 120, "deg)"),
      opacity: 0
    }
  };
}

makeRollOut.type = _typeEnums.TYPE_ROTATE;
var _default = makeRollOut;
exports.default = _default;
module.exports = exports["default"];