"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeRubber;

/**
 * @public
 * @name makeRubber
 * @description Rubber object
 * @param amplification
 * @returns {{from: {transform: string}, 30%: {transform: string}, 40%: {transform: string}, 50%: {transform: string}, 65%: {transform: string}, 75%: {transform: string}, to: {transform: string}}}
 */
function makeRubber(_ref) {
  var amplification = _ref.amplification;
  return {
    from: {
      transform: 'scale3d(1, 1, 1)'
    },
    '30%': {
      transform: "scale3d(".concat(amplification * 1.25, ", ").concat(amplification * 0.75, ", ").concat(amplification * 1, ")")
    },
    '40%': {
      transform: "scale3d(".concat(amplification * 0.75, ", ").concat(amplification * 1.25, ", ").concat(amplification * 1, ")")
    },
    '50%': {
      transform: "scale3d(".concat(amplification * 1.15, ", ").concat(amplification * 0.85, ", ").concat(amplification * 1, ")")
    },
    '65%': {
      transform: "scale3d(".concat(amplification * 0.95, ", ").concat(amplification * 1.05, ", ").concat(amplification * 1, ")")
    },
    '75%': {
      transform: "scale3d(".concat(amplification * 1.05, ", ").concat(amplification * 0.95, ", ").concat(amplification * 1, ")")
    },
    to: {
      transform: 'scale3d(1, 1, 1)'
    }
  };
}

module.exports = exports["default"];