"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _typeEnums = require("../../typeEnums");

/**
 * @public
 * @name makeSwing
 * @description make swing object
 * @param amplification
 * @returns {{20%: {transform: string}, 40%: {transform: string}, 60%: {transform: string}, 80%: {transform: string}, to: {transform: string}}}
 */
function makeSwing(_ref) {
  var amplification = _ref.amplification;
  return {
    '20%': {
      transform: "rotate3d(0, 0, 1, ".concat(amplification * 15, "deg)")
    },
    '40%': {
      transform: "rotate3d(0, 0, 1, -".concat(amplification * 10, "deg)")
    },
    '60%': {
      transform: "rotate3d(0, 0, 1, ".concat(amplification * 5, "deg)")
    },
    '80%': {
      transform: "rotate3d(0, 0, 1, -".concat(amplification * 5, "deg)")
    },
    to: {
      transform: 'rotate3d(0, 0, 1, 0deg)'
    }
  };
}

makeSwing.type = _typeEnums.TYPE_ROTATE;
var _default = makeSwing;
exports.default = _default;
module.exports = exports["default"];