"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeZoom;

/**
 * @name makeZoom
 * @description make zoom object
 * @param amplification
 * @returns {{from: {opacity: number, transform: string}, to: {opacity: number}}}
 */
function makeZoom(_ref) {
  var amplification = _ref.amplification;
  return {
    from: {
      opacity: 0,
      transform: "scale3d(".concat(amplification * 0.4, ", ").concat(amplification * 0.4, ", ").concat(amplification * 0.4, ")")
    },
    to: {
      opacity: 1
    }
  };
}

module.exports = exports["default"];