"use strict";

function _templateObject() {
  var data = _taggedTemplateLiteral(["", ""]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = composeAnimation;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _classnames = _interopRequireDefault(require("classnames"));

var _lodash = _interopRequireDefault(require("lodash.omit"));

var _immutable = require("immutable");

var _mapToCssModules = _interopRequireDefault(require("map-to-css-modules"));

var _typeEnums = require("../typeEnums");

var _makeKeyframe = _interopRequireDefault(require("../makeKeyframe"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * @public
 * @name composeAnimation
 * @descriptiton This is a HoC that will compose a motioncomponent
 * @param makeAnimation {function} - a make keyframe function
 * @return {Component} - the new Motion component
 */
function composeAnimation(makeAnimation) {
  // eslint-disable-next-line react/prefer-stateless-function
  var HOC =
  /*#__PURE__*/
  function (_React$Component) {
    _inherits(HOC, _React$Component);

    function HOC() {
      var _getPrototypeOf2;

      var _this;

      _classCallCheck(this, HOC);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(HOC)).call.apply(_getPrototypeOf2, [this].concat(args)));

      _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "state", {
        defaults: {},
        styles: null
      });

      _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "componentWillMount", function () {
        _this.updateDefaultsFromTheme(_this.updateAnimationStyles);
      });

      _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "updateDefaultsFromTheme", function (cb) {
        var theme = _this.props.theme;
        /* eslint-disable dot-notation */

        _this.setState({
          defaults: {
            duration: theme.motion['$motion-duration']['md'],
            timingFunction: theme.motion['$motion-timing-function']['ease'],
            delay: theme.motion['$motion-delay']['xs'],
            direction: theme.motion['$motion-direction']['normal'],
            iterations: theme.motion['$motion-iterations']['xs'],
            fillMode: theme.motion['$motion-fill-mode']['none'],
            playState: theme.motion['$motion-play-state']['running'],
            distance: theme.motion['$motion-distance']['md'],
            rotation: theme.motion['$motion-degree']['md'],
            perspective: theme.motion['$motion-perspective']['xs'],
            backfaceVisibility: theme.motion['$motion-backface-visibility']['hidden'],
            amplification: theme.motion['$motion-amplification']['md']
          }
        }, cb);
        /* eslint-enable dot-notation */

      });

      _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "updateAnimationStyles", function () {
        var props = _this.props;
        var defaults = _this.state.defaults;
        var duration = props.duration || defaults.duration;
        var timingFunction = props.timingFunction || defaults.timingFunction;
        var delay = props.delay || defaults.delay;
        var direction = props.direction || defaults.direction;
        var iterations = props.iterations || defaults.iterations;
        var fillMode = props.fillMode || defaults.fillMode;
        var playState = props.playState || defaults.playState;
        var distance = props.distance || defaults.distance;
        var rotation = props.degree || defaults.rotation;
        var perspective = props.perspective || defaults.perspective;
        var backfaceVisibility = props.backfaceVisibility || defaults.backfaceVisibility;
        var amplification = props.amplification || defaults.amplification;
        var keyframeName = (0, _makeKeyframe.default)(_this.makeAnimation, {
          distance: distance,
          rotation: rotation,
          perspective: perspective,
          amplification: amplification
        }, props.keyframes);
        var styles = (0, _styledComponents.css)(["animation:", " ", " ", " ", " ", " ", " ", " ", ";"], keyframeName, duration, timingFunction, delay, iterations, direction, fillMode, playState);

        if (_typeEnums.TYPE_ROTATE === _this.makeAnimation.type) {
          styles = (0, _styledComponents.css)(["", " backface-visibility:", ";"], styles, backfaceVisibility);
        }

        _this.setState({
          styles: styles
        });
      });

      _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "makeAnimation", makeAnimation);

      return _this;
    }

    _createClass(HOC, [{
      key: "componentWillReceiveProps",
      value: function componentWillReceiveProps(newProps) {
        if ((0, _immutable.fromJS)(newProps.theme).hashCode() !== (0, _immutable.fromJS)(this.props.theme).hashCode()) {
          this.updateDefaultsFromTheme(this.updateAnimationStyles);
        } else {
          this.updateAnimationStyles();
        }
      }
    }, {
      key: "render",
      value: function render() {
        var _omit = (0, _lodash.default)(this.props, ['theme', 'duration', 'timingFunction', 'delay', 'iterations', 'direction', 'fillMode', 'playState', 'keyframes', 'distance', 'degree', 'perspective', 'backfaceVisibility', 'amplification', 'rotation', 'innerRef']),
            className = _omit.className,
            children = _omit.children,
            inline = _omit.inline,
            cssModule = _omit.cssModule,
            rest = _objectWithoutProperties(_omit, ["className", "children", "inline", "cssModule"]);

        return _react.default.createElement(_StyledSpan, _extends({
          className: (0, _mapToCssModules.default)((0, _classnames.default)({
            'd-inline-block': inline
          }, className), cssModule)
        }, rest, {
          _$p_: this.state.styles
        }), children);
      }
    }]);

    return HOC;
  }(_react.default.Component);

  _defineProperty(HOC, "defaultProps", {
    inline: true
  });

  _defineProperty(HOC, "propTypes", {
    children: _propTypes.default.node.isRequired,
    className: _propTypes.default.string,
    theme: _propTypes.default.object.isRequired,
    inline: _propTypes.default.bool,
    duration: _propTypes.default.string,
    timingFunction: _propTypes.default.string,
    delay: _propTypes.default.string,
    direction: _propTypes.default.string,
    iterations: _propTypes.default.string,
    fillMode: _propTypes.default.string,
    playState: _propTypes.default.string,
    keyframes: _propTypes.default.object,
    distance: _propTypes.default.string,
    degree: _propTypes.default.string,
    perspective: _propTypes.default.string,
    backfaceVisibility: _propTypes.default.string,
    amplification: _propTypes.default.oneOfType([_propTypes.default.number, _propTypes.default.string])
  });

  return (0, _styledComponents.withTheme)(HOC);
}

var _StyledSpan = (0, _styledComponents.default)("span")(_templateObject(), function (p) {
  return p._$p_;
});

module.exports = exports["default"];