"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _styledComponents = require("styled-components");

var _theme = _interopRequireDefault(require("../../theme"));

var _composeAnimation = _interopRequireDefault(require("../composeAnimation"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Testing our composeAnimation HOC
 */
describe('composeAnimation', function () {
  var makeEffect;
  var AbstractAnimation;
  var renderedComponent;
  beforeAll(function () {
    makeEffect = function makeEffect() {
      // eslint-disable-line arrow-body-style
      return {
        from: {
          width: '0'
        },
        to: {
          width: '100%'
        }
      };
    };

    AbstractAnimation = (0, _composeAnimation.default)(makeEffect);
    renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
      theme: _theme.default
    }, _react.default.createElement(AbstractAnimation, {
      distance: "1337"
    }, "Test")));
  });
  it('should render an <AbstractAnimation /> component', function () {
    expect(renderedComponent.length).toBe(1);
  }); // it('should set state with the correct animationName using default value', () => {
  //   AbstractAnimation = composeAnimation(makeEffect);
  //   renderedComponent = mount(
  //     <ThemeProvider theme={theme}>
  //       <AbstractAnimation>
  //           Test
  //       </AbstractAnimation>
  //     </ThemeProvider>
  //   );
  //   // expect(renderedComponent.state().styles.animation).toEqual('laoCwl 1s ease 0s 1 normal none running');
  // });
  // uncomment and fix asap
  // it('should set state with the correct animationName using props', () => {
  //   AbstractAnimation = composeAnimation(makeEffect);
  //   renderedComponent = mount(
  //     <ThemeProvider theme={theme}>
  //       <AbstractAnimation
  //         distance="1337"
  //         duration="2s"
  //         timingFunction="linear"
  //         delay="1s"
  //         direction="reverse"
  //         iterations="1"
  //         backfaceVisibility="hidden"
  //         fillMode="forwards"
  //         playState="running"
  //       >
  //         Test
  //       </AbstractAnimation>
  //     </ThemeProvider>
  //   );
  //   expect(renderedComponent.find('span').length).toEqual(1);
  // });

  it('should set backfaceVisibility props', function () {
    AbstractAnimation = (0, _composeAnimation.default)(makeEffect);
    renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
      theme: _theme.default
    }, _react.default.createElement(AbstractAnimation, {
      distance: "1337",
      duration: "2s",
      timingFunction: "linear",
      delay: "1s",
      direction: "reverse",
      iterations: "1",
      backfaceVisibility: "hidden",
      fillMode: "forwards",
      playState: "running"
    }, "Test")));
    expect(renderedComponent.props().children.props.backfaceVisibility).toEqual('hidden');
  });
  it('should set direction props', function () {
    AbstractAnimation = (0, _composeAnimation.default)(makeEffect);
    renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
      theme: _theme.default
    }, _react.default.createElement(AbstractAnimation, {
      distance: "1337",
      duration: "2s",
      timingFunction: "linear",
      delay: "1s",
      direction: "reverse",
      iterations: "1",
      backfaceVisibility: "hidden",
      fillMode: "forwards",
      playState: "running"
    }, "Test")));
    expect(renderedComponent.props().children.props.direction).toEqual('reverse');
  });
  it('should set iterations props', function () {
    AbstractAnimation = (0, _composeAnimation.default)(makeEffect);
    renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
      theme: _theme.default
    }, _react.default.createElement(AbstractAnimation, {
      distance: "1337",
      duration: "2s",
      timingFunction: "linear",
      delay: "1s",
      direction: "reverse",
      iterations: "1",
      backfaceVisibility: "hidden",
      fillMode: "forwards",
      playState: "running"
    }, "Test")));
    expect(renderedComponent.props().children.props.iterations).toEqual('1');
  });
  it('should set delay props', function () {
    AbstractAnimation = (0, _composeAnimation.default)(makeEffect);
    renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
      theme: _theme.default
    }, _react.default.createElement(AbstractAnimation, {
      distance: "1337",
      duration: "2s",
      timingFunction: "linear",
      delay: "1s",
      direction: "reverse",
      iterations: "1",
      backfaceVisibility: "hidden",
      fillMode: "forwards",
      playState: "running"
    }, "Test")));
    expect(renderedComponent.props().children.props.delay).toEqual('1s');
  });
  it('should set fillMode props', function () {
    AbstractAnimation = (0, _composeAnimation.default)(makeEffect);
    renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
      theme: _theme.default
    }, _react.default.createElement(AbstractAnimation, {
      distance: "1337",
      duration: "2s",
      timingFunction: "linear",
      delay: "1s",
      direction: "reverse",
      iterations: "1",
      backfaceVisibility: "hidden",
      fillMode: "forwards",
      playState: "running"
    }, "Test")));
    expect(renderedComponent.props().children.props.fillMode).toEqual('forwards');
  });
  it('should set playState props', function () {
    AbstractAnimation = (0, _composeAnimation.default)(makeEffect);
    renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
      theme: _theme.default
    }, _react.default.createElement(AbstractAnimation, {
      distance: "1337",
      duration: "2s",
      timingFunction: "linear",
      delay: "1s",
      direction: "reverse",
      iterations: "1",
      backfaceVisibility: "hidden",
      fillMode: "forwards",
      playState: "running"
    }, "Test")));
    expect(renderedComponent.props().children.props.playState).toEqual('running');
  });
});