"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _styledComponents = require("styled-components");

var _theme = _interopRequireDefault(require("../../theme"));

var _composeDistance = _interopRequireDefault(require("../composeDistance"));

var _composeAnimation = _interopRequireDefault(require("../composeAnimation"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Testing our composeDistance HOC
 */
describe('composeDistance', function () {
  var makeEffect = function makeEffect() {
    // eslint-disable-line arrow-body-style
    return {
      from: {
        width: '0'
      },
      to: {
        width: '100%'
      }
    };
  };

  var DistanceAnimation;
  beforeAll(function () {
    DistanceAnimation = (0, _composeDistance.default)((0, _composeAnimation.default)(makeEffect), '$key');
  });
  it('should render an <DistanceAnimation /> with user distance', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
      theme: _theme.default
    }, _react.default.createElement(DistanceAnimation, {
      distance: "10px"
    }, "Test")));
    expect(renderedComponent.length).toBe(1);
  });
  it('should render an <DistanceAnimation /> with theme distance', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
      theme: _theme.default
    }, _react.default.createElement(DistanceAnimation, null, "Test")));
    expect(renderedComponent.length).toBe(1);
  });
});