"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _styledComponents = require("styled-components");

var _theme = _interopRequireDefault(require("../../theme"));

var _composePerspective = _interopRequireDefault(require("../composePerspective"));

var _composeAnimation = _interopRequireDefault(require("../composeAnimation"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Testing our composePerspective HOC
 */
describe('composePerspective', function () {
  var makeEffect = function makeEffect() {
    // eslint-disable-line arrow-body-style
    return {
      from: {
        width: '0'
      },
      to: {
        width: '100%'
      }
    };
  };

  var PerspectiveAnimation;
  beforeAll(function () {
    PerspectiveAnimation = (0, _composePerspective.default)((0, _composeAnimation.default)(makeEffect), '$motion-rotate-in-rotation');
  });
  it('should render an <PerspectiveAnimation /> with user distance', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
      theme: _theme.default
    }, _react.default.createElement(PerspectiveAnimation, {
      perspective: "10px"
    }, "Test")));
    expect(renderedComponent.length).toBe(1);
  });
  it('should render an <DistanceAnimation /> with theme distance', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
      theme: _theme.default
    }, _react.default.createElement(PerspectiveAnimation, {
      rotation: "10deg"
    }, "Test")));
    expect(renderedComponent.length).toBe(1);
  });
});