"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _styledComponents = require("styled-components");

var _theme = _interopRequireDefault(require("../../theme"));

var _composeRotation = _interopRequireDefault(require("../composeRotation"));

var _composeAnimation = _interopRequireDefault(require("../composeAnimation"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Testing our composeRotation HOC
 */
describe('composeRotation', function () {
  var makeEffect = function makeEffect() {
    // eslint-disable-line arrow-body-style
    return {
      from: {
        width: '0'
      },
      to: {
        width: '100%'
      }
    };
  };

  var RotationAnimation;
  beforeAll(function () {
    RotationAnimation = (0, _composeRotation.default)((0, _composeAnimation.default)(makeEffect), '$motion-rotate-in-rotation');
  });
  it('should render an <RotationAnimation /> with user distance', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
      theme: _theme.default
    }, _react.default.createElement(RotationAnimation, {
      rotation: "10deg"
    }, "Test")));
    expect(renderedComponent.length).toBe(1);
  });
  it('should render an <RotationAnimation /> with theme distance', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_styledComponents.ThemeProvider, {
      theme: _theme.default
    }, _react.default.createElement(RotationAnimation, null, "Test")));
    expect(renderedComponent.length).toBe(1);
  });
});