"use strict";

var _theme = _interopRequireWildcard(require("../theme"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

describe('theme', function () {
  describe('default theme', function () {
    it('should have every values defined', function () {
      Object.keys(_theme.default.motion).forEach(function (key) {
        expect(_theme.default.motion[key]).toBeDefined();
      });
    });
  });
  describe('makeTheme', function () {
    it('should return a default theme', function () {
      var newTheme = (0, _theme.makeTheme)();
      Object.keys(newTheme.motion).forEach(function (key) {
        expect(newTheme.motion[key]).toBeDefined();
      });
    });
    it('should return an extended theme', function () {
      var defaultTheme = (0, _theme.makeTheme)();
      var notDefaultTheme = (0, _theme.makeTheme)({
        motion: {
          '$motion-flip-perspective': '73px'
        }
      });
      expect(notDefaultTheme.motion['$motion-flip-perspective'] !== defaultTheme.motion['$motion-flip-perspective']).toBe(true);
      expect(defaultTheme.motion['$motion-flip-perspective'] === _theme.default.motion['$motion-flip-perspective']).toBe(true);
    });
  });
});